Debian Bug report logs - #648180
dpkg-checkbuilddeps: option to check another architecture

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Wed, 9 Nov 2011 12:39:02 UTC

Severity: wishlist

Tags: patch

Found in versions dpkg/1.16.2~really1.16.1.2, dpkg/1.16.1.1

Fixed in versions dpkg/1.16.2~wipmultiarch, dpkg/1.16.2

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#648180; Package dpkg-dev. (Wed, 09 Nov 2011 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 09 Nov 2011 12:39:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: dpkg-checkbuilddeps: option to check another architecture
Date: Wed, 9 Nov 2011 12:35:45 +0000
Package: dpkg-dev
Version: 1.16.1.1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch precise

In a multiarch environment, it's useful to be able to check whether
build-dependencies are satisfied for a different architecture.  It looks
rather easy to add an -a option to dpkg-checkbuilddeps, although it does
require translation changes.  Would you consider something like this
patch?

diff --git a/scripts/dpkg-checkbuilddeps.pl b/scripts/dpkg-checkbuilddeps.pl
index 93af92e..b757069 100755
--- a/scripts/dpkg-checkbuilddeps.pl
+++ b/scripts/dpkg-checkbuilddeps.pl
@@ -47,6 +47,7 @@ sub usage {
                  retrieving them from control file
   -c build-conf  use given string for build conflicts instead of
                  retrieving them from control file
+  -a arch        assume given host architecture
   --admindir=<directory>
                  change the administrative directory.
   -h, --help     show this help message.
@@ -58,11 +59,13 @@ sub usage {
 
 my $binary_only=0;
 my ($bd_value, $bc_value);
+my $host_arch = get_host_arch();
 if (!GetOptions('B' => \$binary_only,
                 'help|h' => sub { usage(); exit(0); },
                 'version' => \&version,
                 'd=s' => \$bd_value,
                 'c=s' => \$bc_value,
+                'a=s' => \$host_arch,
                 'admindir=s' => \$admindir)) {
 	usage();
 	exit(2);
@@ -94,11 +97,13 @@ my (@unmet, @conflicts);
 
 if ($bd_value) {
 	push @unmet, build_depends('Build-Depends/Build-Depends-Indep)',
-		deps_parse($bd_value, reduce_arch => 1), $facts);
+		deps_parse($bd_value, host_arch => $host_arch,
+			   reduce_arch => 1), $facts);
 }
 if ($bc_value) {
 	push @conflicts, build_conflicts('Build-Conflicts/Build-Conflicts-Indep',
-		deps_parse($bc_value, reduce_arch => 1, union => 1), $facts);
+		deps_parse($bc_value, host_arch => $host_arch,
+			   reduce_arch => 1, union => 1), $facts);
 }
 
 if (@unmet) {
@@ -178,8 +183,6 @@ sub check_line {
 	my $fieldname=shift;
 	my $dep_list=shift;
 	my $facts=shift;
-	my $host_arch = shift || get_host_arch();
-	chomp $host_arch;
 
 	my @unmet=();
 

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#648180; Package dpkg-dev. (Wed, 09 Nov 2011 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 09 Nov 2011 13:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 648180@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Colin Watson <cjwatson@ubuntu.com>, 648180@bugs.debian.org
Subject: Re: Bug#648180: dpkg-checkbuilddeps: option to check another architecture
Date: Wed, 9 Nov 2011 14:47:08 +0100
On Wed, 09 Nov 2011, Colin Watson wrote:
> In a multiarch environment, it's useful to be able to check whether
> build-dependencies are satisfied for a different architecture.  It looks
> rather easy to add an -a option to dpkg-checkbuilddeps, although it does
> require translation changes.  Would you consider something like this
> patch?

Yes, it looks sane even if it's only a partial solution since we do not
support yet proper tagging of build-dependencies to know whether we need
the package for the host or the build architecture (which also explains
why dpkg-buildpackage doesn't call dpkg-checkbuilddeps when it's called
with -a).

Can you please include in your patch the manual page update corresponding
to your change?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#648180; Package dpkg-dev. (Wed, 09 Nov 2011 14:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 09 Nov 2011 14:03:14 GMT) Full text and rfc822 format available.

Message #15 received at 648180@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 648180@bugs.debian.org
Subject: Re: Bug#648180: dpkg-checkbuilddeps: option to check another architecture
Date: Wed, 9 Nov 2011 14:02:28 +0000
On Wed, Nov 09, 2011 at 02:47:08PM +0100, Raphael Hertzog wrote:
> On Wed, 09 Nov 2011, Colin Watson wrote:
> > In a multiarch environment, it's useful to be able to check whether
> > build-dependencies are satisfied for a different architecture.  It looks
> > rather easy to add an -a option to dpkg-checkbuilddeps, although it does
> > require translation changes.  Would you consider something like this
> > patch?
> 
> Yes, it looks sane even if it's only a partial solution since we do not
> support yet proper tagging of build-dependencies to know whether we need
> the package for the host or the build architecture (which also explains
> why dpkg-buildpackage doesn't call dpkg-checkbuilddeps when it's called
> with -a).

Right.  In general I'm aware that this is getting ahead of ourselves a
little, but it seems harmless and is a small additional step.  I did try
it out in some simple cases on a multiarch system (i.e. without the
involvement of :native or :any) and it did the right thing as far as I
could tell.

> Can you please include in your patch the manual page update corresponding
> to your change?

Oh, good point.

diff --git a/man/dpkg-checkbuilddeps.1 b/man/dpkg-checkbuilddeps.1
index 807bf40..a08ae8c 100644
--- a/man/dpkg-checkbuilddeps.1
+++ b/man/dpkg-checkbuilddeps.1
@@ -31,6 +31,11 @@ be built.
 Use the given build dependencies/conflicts instead of those contained in the
 \fIdebian/control\fP file.
 .TP
+.BI "\-a " arch
+Check build dependencies/conflicts assuming that the package described in
+the control file is to be built for the given host architecture instead of
+the architecture of the current system.
+.TP
 .BR \-h ", " \-\-help
 Show the usage message and exit.
 .TP
diff --git a/scripts/dpkg-checkbuilddeps.pl b/scripts/dpkg-checkbuilddeps.pl
index 93af92e..b757069 100755
--- a/scripts/dpkg-checkbuilddeps.pl
+++ b/scripts/dpkg-checkbuilddeps.pl
@@ -47,6 +47,7 @@ sub usage {
                  retrieving them from control file
   -c build-conf  use given string for build conflicts instead of
                  retrieving them from control file
+  -a arch        assume given host architecture
   --admindir=<directory>
                  change the administrative directory.
   -h, --help     show this help message.
@@ -58,11 +59,13 @@ sub usage {
 
 my $binary_only=0;
 my ($bd_value, $bc_value);
+my $host_arch = get_host_arch();
 if (!GetOptions('B' => \$binary_only,
                 'help|h' => sub { usage(); exit(0); },
                 'version' => \&version,
                 'd=s' => \$bd_value,
                 'c=s' => \$bc_value,
+                'a=s' => \$host_arch,
                 'admindir=s' => \$admindir)) {
 	usage();
 	exit(2);
@@ -94,11 +97,13 @@ my (@unmet, @conflicts);
 
 if ($bd_value) {
 	push @unmet, build_depends('Build-Depends/Build-Depends-Indep)',
-		deps_parse($bd_value, reduce_arch => 1), $facts);
+		deps_parse($bd_value, host_arch => $host_arch,
+			   reduce_arch => 1), $facts);
 }
 if ($bc_value) {
 	push @conflicts, build_conflicts('Build-Conflicts/Build-Conflicts-Indep',
-		deps_parse($bc_value, reduce_arch => 1, union => 1), $facts);
+		deps_parse($bc_value, host_arch => $host_arch,
+			   reduce_arch => 1, union => 1), $facts);
 }
 
 if (@unmet) {
@@ -178,8 +183,6 @@ sub check_line {
 	my $fieldname=shift;
 	my $dep_list=shift;
 	my $facts=shift;
-	my $host_arch = shift || get_host_arch();
-	chomp $host_arch;
 
 	my @unmet=();
 

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 09:06:20 GMT) Full text and rfc822 format available.

Message sent on to Colin Watson <cjwatson@ubuntu.com>:
Bug#648180. (Tue, 22 Nov 2011 09:06:23 GMT) Full text and rfc822 format available.

Message #20 received at 648180-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 648180-submitter@bugs.debian.org
Subject: Bug#648180 marked as pending
Date: Tue, 22 Nov 2011 09:05:42 +0000
tag 648180 pending
thanks

Hello,

Bug #648180 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=c4f30d0

---
commit c4f30d090995dda3ec301d4fc40fb7c87460f36a
Author: Colin Watson <cjwatson@debian.org>
Date:   Tue Nov 22 09:17:36 2011 +0100

    dpkg-checkbuilddeps: new option -a <arch>
    
    This option tells dpkg-checkbuilddeps to check the build-dependencies
    assuming that they must all be satisfied on the given architecture.
    In the future build-dependencies might be annotated to indicate whether
    we need a package for the host or for the build architecture, but for
    now this is a first step that can already be useful.
    
    The normal Multi-Arch logic applies so that so that packages marked as
    "Multi-Arch: foreign" can satisfy a build-dependency no matter what
    architecture is requested. For the other packages, dpkg-checkbuilddeps
    will require a package from the requested architecture.
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

diff --git a/debian/changelog b/debian/changelog
index 373c6e2..5f40f17 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -48,6 +48,10 @@ dpkg (1.16.2) UNRELEASED; urgency=low
   * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
     expansions and not regular expressions. And let dpkg-gensymbols output a
     warning when a pattern doesn't match any file. Closes: #649248
+  * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
+    dependencies for another architecture. This is really basic for now since
+    it assumes all build dependencies must be satisfied on the listed
+    architecture. Closes: #648180 Thanks to Colin Watson for the patch.
 
   [ Jonathan Nieder ]
   * Bump po4a version in Build-Depends to 0.41, since earlier versions do




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 31 Jan 2012 20:51:50 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 20:51:50 GMT) Full text and rfc822 format available.

Message #25 received at 648180-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 648180-close@bugs.debian.org
Subject: Bug#648180: fixed in dpkg 1.16.2~multiarch
Date: Tue, 31 Jan 2012 20:48:56 +0000
Source: dpkg
Source-Version: 1.16.2~multiarch

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.2~multiarch_all.deb
  to main/d/dpkg/dpkg-dev_1.16.2~multiarch_all.deb
dpkg_1.16.2~multiarch.dsc
  to main/d/dpkg/dpkg_1.16.2~multiarch.dsc
dpkg_1.16.2~multiarch.tar.bz2
  to main/d/dpkg/dpkg_1.16.2~multiarch.tar.bz2
dpkg_1.16.2~multiarch_amd64.deb
  to main/d/dpkg/dpkg_1.16.2~multiarch_amd64.deb
dselect_1.16.2~multiarch_amd64.deb
  to main/d/dpkg/dselect_1.16.2~multiarch_amd64.deb
libdpkg-dev_1.16.2~multiarch_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.2~multiarch_amd64.deb
libdpkg-perl_1.16.2~multiarch_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.2~multiarch_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648180@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jan 2012 16:07:32 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.2~multiarch
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 192619 367608 427945 595144 608884 627832 636238 642473 642608 642802 643746 643969 644370 646496 647915 648180 648217 649248 651481 651813 651993 652414 653575 654453 654626 655411 656496
Changes: 
 dpkg (1.16.2~multiarch) experimental; urgency=low
 .
   [ Cyril Brulebois ]
   * Non-maintainer upload. Let's push multiarch to the masses.
 .
   [ Guillem Jover ]
   * Move <config.h> and <compat.h> to the top of trigdeferred.l to properly
     use the configured features and compat code.
   * Honour --disable-nls when the system lacks obstack support, by updating
     the obstack compat module from gnulib.
   * Link the libdpkg unit tests with libcompat and libintl, so that systems
     needing them will compile correctly.
   * Check for the presence of the strnlen declaration and correctly provide
     the compat one in case the systems lacks it.
   * Do not assume existence of paths on the build system in the test suite.
   * Do not fail to link dselect on MacOS X when using --disable-nls.
   * Remove versioned coreutils Pre-Depends from dpkg due to the ancient
     md5sum transition. Reported by Bill Allombert <ballombe@debian.org>.
     Closes: #643746
   * Change dpkg-architecture to only compute the requested variables. This:
     - Fixes the bootstrapping problem, as the dpkg build system only needs
       the host architecture, for which dpkg itself is not required.
     - Reduces the amount of work performed, including loading and parsing
       unnecessary table files or calling either of gcc or dpkg programs.
   * Improve error message in dpkg-gencontrol and dpkg-gensymbols when
     debian/control does not have any package stanza. Closes: #642473
     Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
   * Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
     using the ‘--warning=no-timestamp’ option. Closes: #642802
   * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
     for the filesystem containing the info database. LP: #872734
   * Fix two memory leaks per tar entry in the tar extractor used on unpack.
   * Mark dpkg and dselect as Multi-Arch foreign.
     Reported by Steve Langasek <vorlon@debian.org>.
   * Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217
     Thanks to Colin Watson <cjwatson@ubuntu.com>.
   * Add new deb-origin.5 man page. Closes: #608884
     Thanks to Matt Kraai <kraai@ftbfs.org>.
   * Return correct status on start-stop-daemon --status when using --pidfile.
   * Treat dpkg-deb compression level independently for each backend. This
     has the effect of changing the current behaviour for level 0 on all
     compressors except gzip.
   * Add new dpkg-deb -S option to specify the compression strategy. The only
     currently supported value is “extreme” for xz. Closes: #647915
   * Stop using brace expansion to install man pages by using dh_installman
     instead of dh_install, the former does not abort on empty glob expansion.
   * Do not use absolute paths for programs in perl and shell code.
   * Add missing ‘*’ in asprintf() and vasprintf() compat declarations.
   * Add support for virtual output binary:Summary and db:Status-Abbrev fields.
     Closes: #192619, #427945
   * Add support for virtual output source:Package and source:Version fields.
     Closes: #653575
   * Use a different temporary file per process on libcompat's vsnprintf()
     function to avoid race conditions from children after fork(3).
     Reported by Daniel Ruoso <daniel@ruoso.com>. Closes: #655411
   * Fix start-stop-daemon --exec and --name options on FreeBSD, NetBSD and
     OpenBSD by swapping the process matching implementations.
   * Fix start-stop-daemon --name option on GNU/Hurd to match the process name.
   * Document in more detail the implications of start-stop-daemon matching
     options. Closes: #367608
   * Improve and clarify dpkg-shlibdeps superfluous linking warning messages.
     Based on a patch by Peter Eisentraut <petere@debian.org>. Closes: #656496
 .
   [ Raphaël Hertzog ]
   * Update Dpkg::Shlibs to look into multiarch paths when cross-building
     too. Closes: #595144
   * Rewrite architecture.mk with explicit loops instead of duplicating many
     similar lines. Based on a patch by Thorsten Glaser <tg@mirbsd.de>.
   * Modify dpkg-gencontrol and dpkg-distaddfile to grab a write lock
     on debian/control before updating debian/files to avoid simultaneous
     updates. Closes: #642608
     Add libfile-fcntllock-perl to dpkg-dev's Depends since we use this module
     to handle the locking.
   * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
     expansions and not regular expressions. And let dpkg-gensymbols output a
     warning when a pattern doesn't match any file. Closes: #649248
   * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
     dependencies for another architecture. This is really basic for now since
     it assumes all build dependencies must be satisfied on the listed
     architecture. Closes: #648180 Thanks to Colin Watson for the patch.
   * Error out if a dpkg database .list file is not a regular file. LP: #369898
   * Fix dpkg-mergechangelogs to not error out on invalid versions.
     Closes: #651993
   * Fix dpkg-source --commit on "3.0 (quilt)" when an explicit patch file
     is given with a relative filename. Closes: #652414
   * Further clarify in dpkg-source(1) the conditions under which it's possible
     to pass an explicit patch file to dpkg-source --commit.
   * Add new --query-features command to dpkg-buildflags. Thanks to Kees Cook
     for the patch. Closes: #651481
   * Fix description of Multi-Arch in deb-control(5). Closes: #654453
     Thanks to Jakub Wilk for spotting the mistake.
   * Drop misleading spaces in deb-symbols(5) in the format description.
   * Clean up dpkg-architecture(1) dropping useless information and
     adding a reference to /usr/share/dpkg/architecture.mk.
 .
   [ Jonathan Nieder ]
   * Bump po4a version in Build-Depends to 0.41, since earlier versions do
     not handle --srcdir correctly. Closes: #644370
 .
   [ Helge Kreutzmann ]
   * Fix a typo in man/dpkg-deb.1.
 .
   [ Updated dpkg translations ]
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #627832
   * Swedish (Peter Krefting).
   * French (Christian Perrier)
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Spanish (Omar Campagne). Closes: #636238
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann), including typo fix in dpkg-genchanges
     Closes: #646496, sub optimal translation of package states LP: #368783
     and an fix by Chris Leick
   * Japanese (TAKAHASHI Motonobu).
   * Spanish (Omar Campagne). Closes: #643969
   * Swedish (Peter Krefting).
   * Minor errors corrected in French (thanks to David Prévot)
   * Fix translation of -B and -A options of dpkg-buildpackage.
     Thanks to Vincent Danjean. Closes: #654626
 .
   [ Updated dselect translations ]
   * Dutch (Jeroen Schot). Closes: #651813
Checksums-Sha1: 
 19d03327305ffe77a9a27cf2a97a1374a53d80c2 1402 dpkg_1.16.2~multiarch.dsc
 6791139ea5264dcf3b3f50145122c070217c77ee 5588042 dpkg_1.16.2~multiarch.tar.bz2
 5ace0fd530081b49d640062f831c24f953ae25a9 605912 libdpkg-dev_1.16.2~multiarch_amd64.deb
 fc6757f3914b99c84e46a4f10d568e10dff32363 2088674 dpkg_1.16.2~multiarch_amd64.deb
 c4092ecb5792ec2b95b378f35c699d16d46c104a 999194 dselect_1.16.2~multiarch_amd64.deb
 65f4ae079843f683a0fdc651c7d414d19fda6d3a 632066 dpkg-dev_1.16.2~multiarch_all.deb
 34e1227bfbff9e3f8d137775fa882e02f887ac9a 851502 libdpkg-perl_1.16.2~multiarch_all.deb
Checksums-Sha256: 
 91f596241ecebfac200bed00292ee9e2805fa00c97fa8991ebdf61775c6ac8ab 1402 dpkg_1.16.2~multiarch.dsc
 73ef3f3d188570ec0c954155fdc9da84c3623903d1d4ff21199285294d53747c 5588042 dpkg_1.16.2~multiarch.tar.bz2
 7166741d526899e12ca1a8a4dfc2ebaa48a639a7488a3a6c595d3ce8ccf488c2 605912 libdpkg-dev_1.16.2~multiarch_amd64.deb
 2f1722960e3d125d346af8f8ac257dd410924dab9b3cbbe99f31bd6f4ea4250a 2088674 dpkg_1.16.2~multiarch_amd64.deb
 9b036c4345d4410e5f0c32a43b35da397a43741a5270eb27244ef675fae04c10 999194 dselect_1.16.2~multiarch_amd64.deb
 1766ecaccc0c35fea78270157bc4e05424f7a38818f427fe4264273c9e656205 632066 dpkg-dev_1.16.2~multiarch_all.deb
 0094a37fb449957d457ab17f79a2d63ec28771c843109f4c10fcd118e159e55f 851502 libdpkg-perl_1.16.2~multiarch_all.deb
Files: 
 46f0ccf05408e6482a1df89d26c9d64e 1402 admin required dpkg_1.16.2~multiarch.dsc
 1fa36a11e3668cb7d0859a11c5f74f9b 5588042 admin required dpkg_1.16.2~multiarch.tar.bz2
 8a9998e958c240804c28cd6d15170aeb 605912 libdevel optional libdpkg-dev_1.16.2~multiarch_amd64.deb
 eb093790f536a3d6d7b20b0a95ed44f5 2088674 admin required dpkg_1.16.2~multiarch_amd64.deb
 daeaadba99f639c7f89c7a2b6ddf5d20 999194 admin optional dselect_1.16.2~multiarch_amd64.deb
 5017d8e3593dfbb23de750beddec15fa 632066 utils optional dpkg-dev_1.16.2~multiarch_all.deb
 dc7213111ff8469c6187179ac166a746 851502 perl optional libdpkg-perl_1.16.2~multiarch_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8oSqMACgkQeGfVPHR5Nd1yTwCbBxbNYFb+mRuMOeyC3SRf7EdQ
zdkAmwVycK9u5n4lMiuuNkVfg9OgJiC9
=+ZZ4
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions dpkg/1.16.2~multiarch and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Feb 2012 00:42:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg/1.16.2~really1.16.1.2. Request was from Clint Adams <clint@debian.org> to control@bugs.debian.org. (Wed, 01 Feb 2012 02:09:12 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Mon, 06 Feb 2012 00:07:07 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 06 Feb 2012 00:07:08 GMT) Full text and rfc822 format available.

Message #34 received at 648180-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 648180-close@bugs.debian.org
Subject: Bug#648180: fixed in dpkg 1.16.2~wipmultiarch
Date: Mon, 06 Feb 2012 00:02:22 +0000
Source: dpkg
Source-Version: 1.16.2~wipmultiarch

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.2~wipmultiarch_all.deb
  to main/d/dpkg/dpkg-dev_1.16.2~wipmultiarch_all.deb
dpkg_1.16.2~wipmultiarch.dsc
  to main/d/dpkg/dpkg_1.16.2~wipmultiarch.dsc
dpkg_1.16.2~wipmultiarch.tar.bz2
  to main/d/dpkg/dpkg_1.16.2~wipmultiarch.tar.bz2
dpkg_1.16.2~wipmultiarch_amd64.deb
  to main/d/dpkg/dpkg_1.16.2~wipmultiarch_amd64.deb
dselect_1.16.2~wipmultiarch_amd64.deb
  to main/d/dpkg/dselect_1.16.2~wipmultiarch_amd64.deb
libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
libdpkg-perl_1.16.2~wipmultiarch_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.2~wipmultiarch_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648180@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 05 Feb 2012 23:39:40 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.2~wipmultiarch
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 192619 229357 367608 427945 595144 608884 627832 636238 642473 642608 642802 643746 643969 644370 646496 647915 648180 648217 649248 651481 651813 651993 652414 653575 654453 654626 655411 656496 657849
Changes: 
 dpkg (1.16.2~wipmultiarch) experimental; urgency=low
 .
   This is a WIP release, command line interfaces *will* change.
 .
   [ Guillem Jover ]
   * Move <config.h> and <compat.h> to the top of trigdeferred.l to properly
     use the configured features and compat code.
   * Honour --disable-nls when the system lacks obstack support, by updating
     the obstack compat module from gnulib.
   * Link the libdpkg unit tests with libcompat and libintl, so that systems
     needing them will compile correctly.
   * Check for the presence of the strnlen declaration and correctly provide
     the compat one in case the systems lacks it.
   * Do not assume existence of paths on the build system in the test suite.
   * Do not fail to link dselect on MacOS X when using --disable-nls.
   * Remove versioned coreutils Pre-Depends from dpkg due to the ancient
     md5sum transition. Reported by Bill Allombert <ballombe@debian.org>.
     Closes: #643746
   * Change dpkg-architecture to only compute the requested variables. This:
     - Fixes the bootstrapping problem, as the dpkg build system only needs
       the host architecture, for which dpkg itself is not required.
     - Reduces the amount of work performed, including loading and parsing
       unnecessary table files or calling either of gcc or dpkg programs.
   * Improve error message in dpkg-gencontrol and dpkg-gensymbols when
     debian/control does not have any package stanza. Closes: #642473
     Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
   * Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
     using the ‘--warning=no-timestamp’ option. Closes: #642802
   * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
     for the filesystem containing the info database. LP: #872734
   * Fix two memory leaks per tar entry in the tar extractor used on unpack.
   * Mark dpkg and dselect as Multi-Arch foreign.
     Reported by Steve Langasek <vorlon@debian.org>.
   * Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217
     Thanks to Colin Watson <cjwatson@ubuntu.com>.
   * Add new deb-origin.5 man page. Closes: #608884
     Thanks to Matt Kraai <kraai@ftbfs.org>.
   * Return correct status on start-stop-daemon --status when using --pidfile.
   * Treat dpkg-deb compression level independently for each backend. This
     has the effect of changing the current behaviour for level 0 on all
     compressors except gzip.
   * Add new dpkg-deb -S option to specify the compression strategy. The only
     currently supported value is “extreme” for xz. Closes: #647915
   * Stop using brace expansion to install man pages by using dh_installman
     instead of dh_install, the former does not abort on empty glob expansion.
   * Do not use absolute paths for programs in perl and shell code.
   * Add missing ‘*’ in asprintf() and vasprintf() compat declarations.
   * Add support for virtual output binary:Summary and db:Status-Abbrev fields.
     Closes: #192619, #427945
   * Add support for virtual output source:Package and source:Version fields.
     Closes: #653575
   * Use a different temporary file per process on libcompat's vsnprintf()
     function to avoid race conditions from children after fork(3).
     Reported by Daniel Ruoso <daniel@ruoso.com>. Closes: #655411
   * Fix start-stop-daemon --exec and --name options on FreeBSD, NetBSD and
     OpenBSD by swapping the process matching implementations.
   * Fix start-stop-daemon --name option on GNU/Hurd to match the process name.
   * Document in more detail the implications of start-stop-daemon matching
     options. Closes: #367608
   * Improve and clarify dpkg-shlibdeps superfluous linking warning messages.
     Based on a patch by Peter Eisentraut <petere@debian.org>. Closes: #656496
 .
   [ Raphaël Hertzog ]
   * Update Dpkg::Shlibs to look into multiarch paths when cross-building
     too. Closes: #595144
   * Rewrite architecture.mk with explicit loops instead of duplicating many
     similar lines. Based on a patch by Thorsten Glaser <tg@mirbsd.de>.
   * Modify dpkg-gencontrol and dpkg-distaddfile to grab a write lock
     on debian/control before updating debian/files to avoid simultaneous
     updates. Closes: #642608
     Add libfile-fcntllock-perl to dpkg-dev's Depends since we use this module
     to handle the locking.
   * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
     expansions and not regular expressions. And let dpkg-gensymbols output a
     warning when a pattern doesn't match any file. Closes: #649248
   * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
     dependencies for another architecture. This is really basic for now since
     it assumes all build dependencies must be satisfied on the listed
     architecture. Closes: #648180 Thanks to Colin Watson for the patch.
   * Error out if a dpkg database .list file is not a regular file. LP: #369898
   * Fix dpkg-mergechangelogs to not error out on invalid versions.
     Closes: #651993
   * Fix dpkg-source --commit on "3.0 (quilt)" when an explicit patch file
     is given with a relative filename. Closes: #652414
   * Further clarify in dpkg-source(1) the conditions under which it's possible
     to pass an explicit patch file to dpkg-source --commit.
   * Add new --query-features command to dpkg-buildflags. Thanks to Kees Cook
     for the patch. Closes: #651481
   * Fix description of Multi-Arch in deb-control(5). Closes: #654453
     Thanks to Jakub Wilk for spotting the mistake.
   * Drop misleading spaces in deb-symbols(5) in the format description.
   * Clean up dpkg-architecture(1) dropping useless information and
     adding a reference to /usr/share/dpkg/architecture.mk.
   * Update dpkg-buildpackage to use the "build-arch" (for -B) and
     "build-indep" (for -A) targets unless "make -qn" says that they do not
     exist. Closes: #229357
 .
   [ Jonathan Nieder ]
   * Bump po4a version in Build-Depends to 0.41, since earlier versions do
     not handle --srcdir correctly. Closes: #644370
 .
   [ Helge Kreutzmann ]
   * Fix a typo in man/dpkg-deb.1.
 .
   [ Updated dpkg translations ]
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #627832, #657849
   * Swedish (Peter Krefting).
   * French (Christian Perrier)
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Spanish (Omar Campagne). Closes: #636238
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann), including typo fix in dpkg-genchanges
     Closes: #646496, sub optimal translation of package states LP: #368783
     and an fix by Chris Leick
   * Japanese (TAKAHASHI Motonobu).
   * Spanish (Omar Campagne). Closes: #643969
   * Swedish (Peter Krefting).
   * Minor errors corrected in French (thanks to David Prévot)
   * Fix translation of -B and -A options of dpkg-buildpackage.
     Thanks to Vincent Danjean. Closes: #654626
 .
   [ Updated dselect translations ]
   * Dutch (Jeroen Schot). Closes: #651813
Checksums-Sha1: 
 5b350a13d4749a68f55688f53bd934ca33b7bc34 1414 dpkg_1.16.2~wipmultiarch.dsc
 e3c394da92562bc2bf9bb18a6832c575b32cc2a0 5569622 dpkg_1.16.2~wipmultiarch.tar.bz2
 7ce788ea96a3df3cda27c34e5769a48ccfd4cfe1 609206 libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
 840f46fce0fcf7c1214924582a1100dd8d358bc4 2086476 dpkg_1.16.2~wipmultiarch_amd64.deb
 ee2acabe565079c9f1b559443bdc780079040aeb 1000514 dselect_1.16.2~wipmultiarch_amd64.deb
 a6d02b21cd5eac118de310187eae7a6bb63943c5 635810 dpkg-dev_1.16.2~wipmultiarch_all.deb
 728863e43f9185e3182eb78d807b670441e9dd94 851128 libdpkg-perl_1.16.2~wipmultiarch_all.deb
Checksums-Sha256: 
 ce7050ed905c72f823fdb183714f5b5c546e5015ec79dbdf759281c7c60faaae 1414 dpkg_1.16.2~wipmultiarch.dsc
 24b73f91f9e93ddd984172b35a52e6818c2195002ff4d5e72898712d802a3efa 5569622 dpkg_1.16.2~wipmultiarch.tar.bz2
 8a31ad426d8b7e363cce14516d73be1575b724a2683c80322c14f379b60e7efb 609206 libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
 e3f3cef7dd88a5632b4139a042b8943397e512699504ca9abdf3ee97604a9208 2086476 dpkg_1.16.2~wipmultiarch_amd64.deb
 2addf6880dc5d2ee2a817519987fdc9a59751d511de4aa689b19095c0392c4b4 1000514 dselect_1.16.2~wipmultiarch_amd64.deb
 f4a65c7ebd66f7e5eba877d7a9af98ebb33ea9755fd72730d7f9416e6d0b8b7d 635810 dpkg-dev_1.16.2~wipmultiarch_all.deb
 d972b0812219c2afaca254306e8bf5e3feca49c4324924a5c5bb640447cca72d 851128 libdpkg-perl_1.16.2~wipmultiarch_all.deb
Files: 
 7c1aa845fad678163118b63c2053aee3 1414 admin required dpkg_1.16.2~wipmultiarch.dsc
 2c02844dc317beaf6d5f4e22e966813c 5569622 admin required dpkg_1.16.2~wipmultiarch.tar.bz2
 f49a6d3e6ea649b8bb36afd41258bd3c 609206 libdevel optional libdpkg-dev_1.16.2~wipmultiarch_amd64.deb
 6b3fba7d1254c0e0dda083c94e01a749 2086476 admin required dpkg_1.16.2~wipmultiarch_amd64.deb
 fec42261e17f7b60a8cb2339d8b4fa1a 1000514 admin optional dselect_1.16.2~wipmultiarch_amd64.deb
 64b69c596994b4716ed8a0f7ef6c2d0e 635810 utils optional dpkg-dev_1.16.2~wipmultiarch_all.deb
 c8e38c68397fda8dc171bc2a6d7e0c4f 851128 perl optional libdpkg-perl_1.16.2~wipmultiarch_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8vCk4ACgkQuW9ciZ2SjJuPQwCgk4tpFGkzvc7sKsBqQfzw7Dob
NDkAn3uyGGvGcL1KfN49EztspiEGaB47
=Tkrm
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Mon, 19 Mar 2012 09:24:45 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 19 Mar 2012 09:24:48 GMT) Full text and rfc822 format available.

Message #39 received at 648180-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 648180-close@bugs.debian.org
Subject: Bug#648180: fixed in dpkg 1.16.2
Date: Mon, 19 Mar 2012 09:17:32 +0000
Source: dpkg
Source-Version: 1.16.2

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.2_all.deb
  to main/d/dpkg/dpkg-dev_1.16.2_all.deb
dpkg_1.16.2.dsc
  to main/d/dpkg/dpkg_1.16.2.dsc
dpkg_1.16.2.tar.bz2
  to main/d/dpkg/dpkg_1.16.2.tar.bz2
dpkg_1.16.2_amd64.deb
  to main/d/dpkg/dpkg_1.16.2_amd64.deb
dselect_1.16.2_amd64.deb
  to main/d/dpkg/dselect_1.16.2_amd64.deb
libdpkg-dev_1.16.2_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.2_amd64.deb
libdpkg-perl_1.16.2_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648180@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Mar 2012 07:27:12 +0100
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.2
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 192619 229357 367608 427945 595144 608884 627832 636238 642473 642608 642802 643746 643969 644370 646496 647915 648180 648217 649248 651481 651813 651993 652414 653575 654453 654626 655411 656496 657849 658126 658696 658854 661638 663004
Changes: 
 dpkg (1.16.2) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Move <config.h> and <compat.h> to the top of trigdeferred.l to properly
     use the configured features and compat code.
   * Honour --disable-nls when the system lacks obstack support, by updating
     the obstack compat module from gnulib.
   * Link the libdpkg unit tests with libcompat and libintl, so that systems
     needing them will compile correctly.
   * Check for the presence of the strnlen declaration and correctly provide
     the compat one in case the systems lacks it.
   * Do not assume existence of paths on the build system in the test suite.
   * Do not fail to link dselect on MacOS X when using --disable-nls.
   * Remove versioned coreutils Pre-Depends from dpkg due to the ancient
     md5sum transition. Reported by Bill Allombert <ballombe@debian.org>.
     Closes: #643746
   * Change dpkg-architecture to only compute the requested variables. This:
     - Fixes the bootstrapping problem, as the dpkg build system only needs
       the host architecture, for which dpkg itself is not required.
     - Reduces the amount of work performed, including loading and parsing
       unnecessary table files or calling either of gcc or dpkg programs.
   * Improve error message in dpkg-gencontrol and dpkg-gensymbols when
     debian/control does not have any package stanza. Closes: #642473
     Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
   * Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
     using the ‘--warning=no-timestamp’ option. Closes: #642802
   * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
     for the filesystem containing the info database. LP: #872734
   * Fix two memory leaks per tar entry in the tar extractor used on unpack.
   * Mark dpkg and dselect as Multi-Arch foreign.
     Reported by Steve Langasek <vorlon@debian.org>.
   * Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217
     Thanks to Colin Watson <cjwatson@ubuntu.com>.
   * Add new deb-origin.5 man page. Closes: #608884
     Thanks to Matt Kraai <kraai@ftbfs.org>.
   * Return correct status on start-stop-daemon --status when using --pidfile.
   * Treat dpkg-deb compression level independently for each backend. This
     has the effect of changing the current behaviour for level 0 on all
     compressors except gzip.
   * Add new dpkg-deb -S option to specify the compression strategy. The only
     currently supported value is “extreme” for xz. Closes: #647915
   * Stop using brace expansion to install man pages by using dh_installman
     instead of dh_install, the former does not abort on empty glob expansion.
   * Do not use absolute paths for programs in perl and shell code.
   * Add missing ‘*’ in asprintf() and vasprintf() compat declarations.
   * Add support for virtual output binary:Summary and db:Status-Abbrev fields.
     Closes: #192619, #427945
   * Add support for virtual output source:Package and source:Version fields.
     Closes: #653575
   * Use a different temporary file per process on libcompat's vsnprintf()
     function to avoid race conditions from children after fork(3).
     Reported by Daniel Ruoso <daniel@ruoso.com>. Closes: #655411
   * Fix start-stop-daemon --exec and --name options on FreeBSD, NetBSD and
     OpenBSD by swapping the process matching implementations.
   * Fix start-stop-daemon --name option on GNU/Hurd to match the process name.
   * Document in more detail the implications of start-stop-daemon matching
     options. Closes: #367608
   * Improve and clarify dpkg-shlibdeps superfluous linking warning messages.
     Based on a patch by Peter Eisentraut <petere@debian.org>. Closes: #656496
   * Relax --merge-avail Packages file parser, to not fail on bogus versions.
   * When building only arch-indep binaries with «dpkg-buildpackage -A», name
     the .changes file using ‘all’ as architecture. Closes: #661638
   * Handle unknown architectures gracefully in dpkg-buildflags.
     Closes: #663004
   * Add missing --status-logger to dpkg --help output.
   * Do not print bogus errno string for invalid package names in dpkg
     --ignore-depends option.
   * Change dpkg-query to not load the available file by default for --list
     and --show, add a new --load-avail option to expose the old behaviour.
   * Only allow setting selections via «dpkg --set-selections» for known
     packages (i.e. those present in either the status or available files).
   * Always ignore older versions when parsing the available file, not only
     for --update-avail and --merge-avail.
   * Mark not-installed non-arch-qualified selections for removal.
   * Add new «dpkg --assert-multi-arch» command to allow checking for
     multi-arch support availability.
   * Bump Standards-Version to 3.9.3 (no changes needed).
   * Add architecture consistency checks to «dpkg --audit».
   * Add new dpkg --add-architecture and --remove-architecture commands to
     track supported architectures.
 .
   [ Raphaël Hertzog ]
   * Update Dpkg::Shlibs to look into multiarch paths when cross-building
     too. Closes: #595144
   * Rewrite architecture.mk with explicit loops instead of duplicating many
     similar lines. Based on a patch by Thorsten Glaser <tg@mirbsd.de>.
   * Modify dpkg-gencontrol and dpkg-distaddfile to grab a write lock
     on debian/control before updating debian/files to avoid simultaneous
     updates. Closes: #642608
     Add libfile-fcntllock-perl to dpkg-dev's Depends since we use this module
     to handle the locking.
   * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
     expansions and not regular expressions. And let dpkg-gensymbols output a
     warning when a pattern doesn't match any file. Closes: #649248
   * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
     dependencies for another architecture. This is really basic for now since
     it assumes all build dependencies must be satisfied on the listed
     architecture. Closes: #648180 Thanks to Colin Watson for the patch.
   * Error out if a dpkg database .list file is not a regular file. LP: #369898
   * Fix dpkg-mergechangelogs to not error out on invalid versions.
     Closes: #651993
   * Fix dpkg-source --commit on "3.0 (quilt)" when an explicit patch file
     is given with a relative filename. Closes: #652414
   * Further clarify in dpkg-source(1) the conditions under which it's possible
     to pass an explicit patch file to dpkg-source --commit.
   * Add new --query-features command to dpkg-buildflags. Thanks to Kees Cook
     for the patch. Closes: #651481
   * Fix description of Multi-Arch in deb-control(5). Closes: #654453
     Thanks to Jakub Wilk for spotting the mistake.
   * Drop misleading spaces in deb-symbols(5) in the format description.
   * Clean up dpkg-architecture(1) dropping useless information and
     adding a reference to /usr/share/dpkg/architecture.mk.
   * Update dpkg-buildpackage to use the "build-arch" (for -B) and
     "build-indep" (for -A) targets unless "make -qn" says that they do not
     exist. Closes: #229357
   * Improve deb-shlibs(5) to mention that the dependency field must
     use the same syntax than a Depends field. Closes: #658696
   * Update dpkg-maintscript-helper(1) to recommend usage of the version
     removing/renaming a conffile with a "~" suffix as "priorversion"
     parameter. Thanks to Sam Morris <sam@robots.org.uk> for the patch.
     Closes: #658854
   * Fix debug output of dpkg-maintscript-helper. LP: #936340
 .
   [ Jonathan Nieder ]
   * Bump po4a version in Build-Depends to 0.41, since earlier versions do
     not handle --srcdir correctly. Closes: #644370
 .
   [ Guillem Jover, Steve Langasek, Raphaël Hertzog ]
   * Add new dpkg --print-foreign-architectures command.
   * Add support for virtual output binary:Package field.
   * Implement Multi-Arch support.
 .
   [ Helge Kreutzmann ]
   * Fix a typo in man/dpkg-deb.1.
 .
   [ Updated dpkg translations ]
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #627832, #657849
   * Swedish (Peter Krefting).
   * French (Christian Perrier)
   * Polish (Michał Kułach). Closes: #658126
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Spanish (Omar Campagne). Closes: #636238
   * Swedish (Peter Krefting).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann), including typo fix in dpkg-genchanges
     Closes: #646496, sub optimal translation of package states LP: #368783
     and an fix by Chris Leick
   * Japanese (TAKAHASHI Motonobu).
   * Spanish (Omar Campagne). Closes: #643969
   * Swedish (Peter Krefting).
   * Minor errors corrected in French (thanks to David Prévot)
   * Fix translation of -B and -A options of dpkg-buildpackage.
     Thanks to Vincent Danjean. Closes: #654626
 .
   [ Updated dselect translations ]
   * Dutch (Jeroen Schot). Closes: #651813
Checksums-Sha1: 
 77256a48ee15cf6c7b13fe54e005e392bf13e608 1362 dpkg_1.16.2.dsc
 43ea22771b0dd9eb5bf7ceaf672400e7196a2bea 5578978 dpkg_1.16.2.tar.bz2
 ca0ba8572881a940aad51a0d029560dacb6a2156 621048 libdpkg-dev_1.16.2_amd64.deb
 0b4298d541724b07fbf549249812971bf335fc42 2326938 dpkg_1.16.2_amd64.deb
 06164d70bb28998bde8db6790a2123048e6d62e0 1070312 dselect_1.16.2_amd64.deb
 db6b45db3dcbd7016bf43ab9ea5050844234591e 1165258 dpkg-dev_1.16.2_all.deb
 3c91d7a0f934cebeb90f6b1200785f3c142bc79c 860916 libdpkg-perl_1.16.2_all.deb
Checksums-Sha256: 
 16f885e5d1215c12c980b77e104bff41cc82f36431f91ed21990693324d87793 1362 dpkg_1.16.2.dsc
 53a77f694ce2269f17729b0e9626c59687683703e3822a2624b13da4a10fccc9 5578978 dpkg_1.16.2.tar.bz2
 37c676f894980da2a6bd074f2326722c8233e6bc4d507f0c8161d903193f6c38 621048 libdpkg-dev_1.16.2_amd64.deb
 f096294c2d0c6ea790137d3170fb692404d3f364363f56480f9688490945c508 2326938 dpkg_1.16.2_amd64.deb
 83973997ecc90a318accfc4ba45bd18c10a5d9c15a959b9403f3c890db61320d 1070312 dselect_1.16.2_amd64.deb
 541749e314b3d3228ce1b89666aefa4a26353d057b675e85da82a099a6684513 1165258 dpkg-dev_1.16.2_all.deb
 8864e6735ee12452435a859bd0444bed7364032e5118b91a0fbf1345a618bc44 860916 libdpkg-perl_1.16.2_all.deb
Files: 
 4c0e64a5775c90db51d3cb0263b81852 1362 admin required dpkg_1.16.2.dsc
 629ba7ee2024e6a5c0ff807aa2db02f8 5578978 admin required dpkg_1.16.2.tar.bz2
 4e2d60c52c2b04787dbc8bee72e6044d 621048 libdevel optional libdpkg-dev_1.16.2_amd64.deb
 6dbfc23909173f7948b6d67cd5f478eb 2326938 admin required dpkg_1.16.2_amd64.deb
 d3e07e1f216935c7db59ced3e9950909 1070312 admin optional dselect_1.16.2_amd64.deb
 e3cc2a84e29ac98690ca150d37a557af 1165258 utils optional dpkg-dev_1.16.2_all.deb
 9f4869d928df7aad7f22295d9ab28215 860916 perl optional libdpkg-perl_1.16.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9m67YACgkQuW9ciZ2SjJu4ZwCgg5g2xI9krladpIS55iZt7OrA
ETwAoOVYQ26EgFLrT9gNTAuRodMUoyi4
=v+Je
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Apr 2012 07:42:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:21:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.